import java.awt.*;

public class Messenger extends Input{
	MessDisp md;
	static int ixy[] = new int[2];

	public void init(){
		String message,ft;
		int i[] = new int[4];
		int j[] = new int[3];
		int ift[] = new int[2];

		message = getMess();
		i = getRGB();
		j = getBackColor();
		ft = getFntName();
		ift = getFntAttrib();
		ixy = getFrameSize();
		Color col = new Color(j[0],j[1],j[2]);
		setBackground(col);

		setLayout(new BorderLayout());
		md = new MessDisp(this,message,i,j,ft,ift,ixy);
		add("Center",md);
		Panel p = new Panel();
		add("East",p);
		int vgap = (int)((ixy[1] - 25)/2);
		if(vgap < 0){
			p.setLayout(new BorderLayout());
			p.add("West",new Button("start"));
			p.add("East",new Button("stop"));
		}else if(ixy[1] >50){
			p.setLayout(new BorderLayout());
			Panel q = new Panel();
			p.add("North",new Label(" "));
			p.add("South",new Label(" "));
			p.add("Center",q);
			q.setLayout(new BorderLayout());
			q.add("North",new Button("start"));
			q.add("South",new Button("stop"));
		}else{
			p.setLayout(new FlowLayout(FlowLayout.CENTER,0,vgap));
			p.add(new Button("start"));
			p.add(new Button("stop"));
		}
	}

	public boolean action(Event ev,Object arg){
		if("stop".equals(arg)){
			stop();
		}else if("start".equals(arg)){
			restart();
		}
		return true;
	}

	public void start(){
		md.start();
	}

	public void stop(){
		if(md.messenger != null) md.stop();
	}

	public void restart(){
		if(md.messenger != null){
			md.stop();
			start();
		}else start();
	}

	public static void main(String args[]){
		Frame f = new Frame("Messenger");
		Messenger ms = new Messenger();
		ms.init();
		ms.start();
		f.add("Center",ms);
		f.resize(ixy[0],ixy[1]);
		f.show();
	}
}

